## ubuntuone-credentials 13.10

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.9)

# This is the name and release version of the project
PROJECT (ubuntuone-credentials)
SET (PROJECT_VERSION 13.10)

# Some variables for the library builds
SET (AUTH_LIB_VERSION 0.1.0)
SET (AUTH_LIB_SOVERSION 0)
SET (AUTH_LIB_API_VERSION 2.0)
SET (AUTH_LIB_NAME ubuntuoneauth-${AUTH_LIB_API_VERSION})

# these names are used in qml-credentials-service/qmldir.template
SET (QML_MODULE_NAME UbuntuOne)
SET (QML_PLUGIN_API_VERSION 1.0)
SET (QML_PLUGIN_NAME UbuntuOneCredentialsPlugin-${QML_PLUGIN_API_VERSION})

# For the signon plug-in module
SET (SIGNON_PLUGIN_NAME ubuntuoneplugin)

# Need to get libsignon/accounts here, as they get exposed in headers
find_package (PkgConfig REQUIRED)
pkg_check_modules(LIBSIGNON REQUIRED libsignon-qt5 accounts-qt5)
add_definitions(${LIBSIGNON_CFLAGS} ${LIBSIGNON_CFLAGS_OTHER})

# Some default CFLAGS
SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -g -Wall -Werror -fPIC")
SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -O2 -g -Wall -Werror -fPIC")

# Allow specifying the libdir to use for the C library
SET (LIB_SUFFIX "" CACHE STRING "Define suffix of library directory name.")
SET (LIB_INSTALL_DIR "lib${LIB_SUFFIX}")

set (QML_MODULE_INSTALL_DIR ${LIB_INSTALL_DIR}/qt5/qml )

include_directories(${CMAKE_SOURCE_DIR}/libubuntuoneauth)

# A rule and variables for creating a tarball distribution
SET (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
SET (ARCHIVE_FILE ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2)
SET (ARCHIVE_ARGS --exclude-vcs --exclude-backups --exclude-from=${CMAKE_SOURCE_DIR}/.bzrignore --transform=\"s,^,${ARCHIVE_NAME}/,\")
add_custom_target(dist
    COMMAND tar -cvjf ${ARCHIVE_FILE} ${ARCHIVE_ARGS} *
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})


add_subdirectory(data)
add_subdirectory(libubuntuoneauth)
add_subdirectory(music-login)
add_subdirectory(signon-plugin)
add_subdirectory(qml-credentials-service)
add_subdirectory(online-accounts-provider)

# We need to add these here which simply depend on other test rules, as
# CMake doesn't allow defining a "check" rule in multiple places.
# We use $namespace-tests[-valgrind[-leaks]] for the test names in subdirs,
# and depend on them here, so that 'make check' will run them all.
add_custom_target(check
  DEPENDS ubuntuoneauth-tests music-login-tests
)

add_custom_target(check-valgrind
  DEPENDS ubuntuoneauth-tests-valgrind music-login-tests-valgrind
)

add_custom_target(check-valgrind-leaks
  DEPENDS ubuntuoneauth-tests-valgrind-leaks music-login-tests-valgrind-leaks
)

=== libubuntuoneauth/CMakeLists.txt ===
# Qt5 bits
SET (CMAKE_INCLUDE_CURRENT_DIR ON)
SET (CMAKE_AUTOMOC ON)
find_package(Qt5Core REQUIRED)

# Allow the developer to select if Dynamic or Static libraries are built
OPTION (BUILD_STATIC_LIBS "Build Static Libraries" OFF)

# Set the LIB_TYPE variable to STATIC
SET (LIB_TYPE SHARED)
IF (BUILD_STATIC_LIBS)
  # User wants to build Dynamic Libraries, so change the LIB_TYPE 'STATIC'
  SET (LIB_TYPE STATIC)
ENDIF (BUILD_STATIC_LIBS)

# The sources for building the library
FILE (GLOB SOURCES *.cpp)
# HEADERS only includes the public headers for installation.
FILE (GLOB HEADERS *.h)

pkg_check_modules(OAUTH REQUIRED oauth)
add_definitions(${OAUTH_CFLAGS} ${OAUTH_CFLAGS_OTHER})

# Need the project version here
add_definitions("-DPROJECT_VERSION=\"${PROJECT_VERSION}\"")

add_library (${AUTH_LIB_NAME} ${LIB_TYPE} ${SOURCES})
qt5_use_modules (${AUTH_LIB_NAME} Core DBus Xml Network)
target_link_libraries (${AUTH_LIB_NAME}
  ${LIBSIGNON_LDFLAGS}
  ${OAUTH_LDFLAGS}
  -Wl,--version-script -Wl,${CMAKE_CURRENT_SOURCE_DIR}/libubuntuoneauth.symbols
)

SET_TARGET_PROPERTIES(${AUTH_LIB_NAME} PROPERTIES
  VERSION ${AUTH_LIB_VERSION}
  SOVERSION ${AUTH_LIB_SOVERSION}
)

INSTALL (
  TARGETS ${AUTH_LIB_NAME}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
)

INSTALL (
  FILES ${HEADERS}
  DESTINATION include/${AUTH_LIB_NAME}
)

add_subdirectory(tests)
add_subdirectory(examples)

=== music-login/CMakeLists.txt ===
SET (MUSIC_LOGIN_EXE "ubuntuone-music-login")
SET (MUSIC_LOGIN_LIB "u1mslogin")

# Qt5 bits
SET (CMAKE_INCLUDE_CURRENT_DIR ON)
SET (CMAKE_AUTOMOC ON)
find_package(Qt5Widgets REQUIRED)

# The sources for building the app
FILE (GLOB MAIN_SOURCES
  main.cpp
)

FILE (GLOB LIB_SOURCES
  header.cpp
  footer.cpp
  downloader.cpp
  loadingoverlay.cpp
  loginform.cpp
  mainwindow.cpp
  registerform.cpp
  ssowizard.cpp
)

FILE (GLOB HEADERS *.h)
FILE (GLOB FORMS *.ui)
FILE (GLOB RESOURCES *.qrc)

qt5_add_resources (BUILT_RESOURCES ${RESOURCES})
qt5_wrap_ui (BUILT_FORMS ${FORMS})

add_library (${MUSIC_LOGIN_LIB} STATIC
  ${LIB_SOURCES}
  ${HEADERS}
  ${BUILT_FORMS}
)

add_executable (${MUSIC_LOGIN_EXE}
  ${MAIN_SOURCES}
  ${LIB_SOURCES}
  ${HEADERS}
  ${BUILT_FORMS}
  ${BUILT_RESOURCES}
)

qt5_use_modules (${MUSIC_LOGIN_LIB} Core DBus Gui Widgets Network)
qt5_use_modules (${MUSIC_LOGIN_EXE} DBus Widgets Network)
target_link_libraries (${MUSIC_LOGIN_EXE}
  -Wl,-rpath,${CMAKE_BINARY_DIR}/libubuntuoneauth
  -L${CMAKE_BINARY_DIR}/libubuntuoneauth
  ${AUTH_LIB_NAME}
  ${MUSIC_LIB_NAME}
)

INSTALL (
  TARGETS ${MUSIC_LOGIN_EXE}
  RUNTIME DESTINATION ${LIB_INSTALL_DIR}/${PROJECT_NAME}
)

add_subdirectory(tests)

=== music-login/tests/CMakeLists.txt ===
# The thing we're building in here
SET (UI_TESTS_TARGET test-music-login)

# This is needed for the tests to build due to private members
SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DTESTS")

# Qt5 bits
SET (CMAKE_INCLUDE_CURRENT_DIR ON)
SET (CMAKE_AUTOMOC ON)
find_package(Qt5Widgets REQUIRED)

# The sources for building the tests
FILE (GLOB SOURCES main.cpp *.cpp)
FILE (GLOB HEADERS *.h)

include_directories(${CMAKE_SOURCE_DIR}/music-login
  ${CMAKE_BINARY_DIR}/music-login)

add_executable (${UI_TESTS_TARGET} ${SOURCES} ${HEADERS})
qt5_use_modules (${UI_TESTS_TARGET} Test DBus Network Widgets)
add_dependencies (${UI_TESTS_TARGET} ${MUSIC_LOGIN_LIB})
target_link_libraries (${UI_TESTS_TARGET}
  -Wl,-rpath,${CMAKE_BINARY_DIR}/libubuntuoneauth
  -L${CMAKE_BINARY_DIR}/libubuntuoneauth
  ${AUTH_LIB_NAME}
  ${MUSIC_LOGIN_LIB}
)

add_custom_target(music-login-tests
    COMMAND xvfb-run -a "${CMAKE_CURRENT_BINARY_DIR}/${UI_TESTS_TARGET}"
    DEPENDS ${UI_TESTS_TARGET}
)

add_custom_target(music-login-tests-valgrind
    COMMAND xvfb-run -a "valgrind --tool=memcheck ${CMAKE_CURRENT_BINARY_DIR}/${UI_TESTS_TARGET}"
    DEPENDS ${UI_TESTS_TARGET}
)

add_custom_target(music-login-tests-valgrind-leaks
    COMMAND xvfb-run -a "valgrind --tool=memcheck --track-origins=yes --num-callers=40 --leak-resolution=high --leak-check=full ${CMAKE_CURRENT_BINARY_DIR}/${UI_TESTS_TARGET}"
    DEPENDS ${UI_TESTS_TARGET}
)

=== online-accounts-provider/tests/CMakeLists.txt ===
SET (TESTS_TARGET test-online-accounts-provider)

add_custom_target(online-accounts-provider-autopilot-tests
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/autopilot/run ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${QML_PLUGIN_NAME}
)

add_custom_target(online-accounts-provider-qmlunit-tests
    COMMAND qmltestrunner -input ${CMAKE_CURRENT_SOURCE_DIR}/unit
)

=== debian/changelog ===
ubuntuone-credentials (13.10-0ubuntu3) saucy-proposed; urgency=low

  * debian/patches/02_lp1234282.patch
    - Don't allow adding multiple U1 accounts (LP: #1234282)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 16 Oct 2013 10:36:15 -0400

ubuntuone-credentials (13.10-0ubuntu2) saucy; urgency=low

  * debian/patches/00_lp1237006.patch:
    - Fix behavior of back button on account details page. (LP: #1237006)
  * debian/patches/01_lp1234883.patch:
    - Give the two-factor text field focus when shown. (LP: #1234883)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 11 Oct 2013 11:25:18 -0400

ubuntuone-credentials (13.10-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Close the osk when continue button clicked. (LP: #1231580)
    - Improve generic network error messages. (LP: #1233951)
    - Avoid partial account creation when toolbar back used. (LP: #1234285)
    - Use text entry hints for better osk integration. (LP: #1235282)
  * debian/rules:
    - Set DEB_HOST_MULTIARCH if unset, to avoid breaking autopkgtests.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 04 Oct 2013 17:08:19 -0400

ubuntuone-credentials (13.09-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/libubuntuoneauth-2.0-0.symbols:
    - Update with new symbols.
  * debian/rules:
    - Remove the auto install override as it is no longer needed.
  * debian/watch:
    - Only use .bz2 as an extension in the regular expression.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 16 Sep 2013 17:45:41 -0400

ubuntuone-credentials (13.08-0ubuntu3) saucy; urgency=low

  * debin/tests/run-tests:
    - Don't try to run the tests a second time. Tests are run by requiring
      a built tree for autopkgtest already, so rely on that.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 16 Sep 2013 14:53:04 -0400

ubuntuone-credentials (13.08-0ubuntu2) saucy; urgency=low

  * debian/control:
    - Add signon-plugin-password as dependency of libubuntuoneauth-2.0-0.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 11 Sep 2013 21:53:26 -0400

ubuntuone-credentials (13.08-0ubuntu1) saucy; urgency=low

  * Initial packaging for ubuntuone-credentials. (LP: #1199017)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 29 Aug 2013 09:37:25 -0400

=== debian/control ===
Source: ubuntuone-credentials
Section: libs
Priority: extra
Build-Depends:
 cmake,
 debhelper (>= 9),
 liboauth-dev,
 libaccounts-qt5-dev,
 libsignon-qt5-dev,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtdeclarative5-ubuntu-ui-toolkit-plugin,
 signon-plugins-dev,
 xvfb
Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
Standards-Version: 3.9.4
Xs-Testsuite: autopkgtest

Package: ubuntuone-credentials-common
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ubuntuone-client-data (>= 4.2.0)
Description: Ubuntu One authentication library - common data
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes common data files for the Ubuntu One authentication
 library and utilities.

Package: libubuntuoneauth-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ubuntuone-credentials-common (= ${binary:Version}),
 signon-plugin-password
Description: Ubuntu One authentication library
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the main library.

Package: libubuntuoneauth-2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 liboauth-dev,
 libsecret-1-dev
Description: Ubuntu One authentication library - development files
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the development files for the Ubuntu One authentication
 library.

Package: ubuntuone-credentials
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 ubuntuone-client-data (>= 4.2.0)
Description: Ubuntu One authentication library - utility applications
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes extra utility applications used by the library.

Package: qtdeclarative5-ubuntuone1.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qtdeclarative5-ubuntu-ui-toolkit-plugin
Breaks: qtdeclarative5-ubuntuone-credentials-plugin
Replaces: qtdeclarative5-ubuntuone-credentials-plugin
Description: Ubuntu One authentication library - Qt declarative plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes a Qt declarative plug-in for using the library.

Package: signon-plugin-ubuntuone
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libubuntuoneauth-2.0-0 (= ${binary:Version})
Description: Ubuntu One authentication library - signon plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes an authentication plug-in for the signon daemon.

Package: account-plugin-ubuntuone
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qtdeclarative5-ubuntuone1.0 (= ${binary:Version}),
 ubuntu-system-settings-online-accounts
Description: Ubuntu One authentication library - account settings plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the accounts plug-in for Ubuntu System Settings.

=== debian/rules ===
#!/usr/bin/make -f

DH_CMAKE_BUILD_DIR=obj-${DEB_BUILD_GNU_TYPE}
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem cmake --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	dh_auto_build -- check

=== debian/watch ===
version=3
http://launchpad.net/ubuntuone-credentials/stable-13-10 .*/ubuntuone-credentials-([0-9.]+)\.tar\.bz2

## ubuntuone-credentials 14.04%2B14.04.20140415

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
DH_CMAKE_BUILD_DIR=obj-${DEB_BUILD_GNU_TYPE}
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH ?= $(shell dpk-architecture -qDEB_HOST_ARCH)


%:
	dh $@ --buildsystem cmake --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	if [ "x${DEB_HOST_ARCH}" = "xarmhf" -o "x$(DEB_HOST_ARCH)" = "armel" ]; then \
		dh_auto_build -- ubuntuoneauth-tests; \
	else \
		dh_auto_build -- check; \
	fi

## ubuntuone-credentials 14.04+14.04.20140415

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,14 @@
 
 # This is the name and release version of the project
 PROJECT (ubuntuone-credentials)
-SET (PROJECT_VERSION 13.10)
+SET (PROJECT_VERSION 14.04)
 
 # Some variables for the library builds
 SET (AUTH_LIB_VERSION 0.1.0)
 SET (AUTH_LIB_SOVERSION 0)
 SET (AUTH_LIB_API_VERSION 2.0)
-SET (AUTH_LIB_NAME ubuntuoneauth-${AUTH_LIB_API_VERSION})
+SET (AUTH_LIB_UNVERSIONED ubuntuoneauth)
+SET (AUTH_LIB_NAME ${AUTH_LIB_UNVERSIONED}-${AUTH_LIB_API_VERSION})
 
 # these names are used in qml-credentials-service/qmldir.template
 SET (QML_MODULE_NAME UbuntuOne)
@@ -46,7 +47,6 @@
 
 add_subdirectory(data)
 add_subdirectory(libubuntuoneauth)
-add_subdirectory(music-login)
 add_subdirectory(signon-plugin)
 add_subdirectory(qml-credentials-service)
 add_subdirectory(online-accounts-provider)
@@ -56,13 +56,13 @@
 # We use $namespace-tests[-valgrind[-leaks]] for the test names in subdirs,
 # and depend on them here, so that 'make check' will run them all.
 add_custom_target(check
-  DEPENDS ubuntuoneauth-tests music-login-tests
+  DEPENDS ubuntuoneauth-tests
 )
 
 add_custom_target(check-valgrind
-  DEPENDS ubuntuoneauth-tests-valgrind music-login-tests-valgrind
+  DEPENDS ubuntuoneauth-tests-valgrind
 )
 
 add_custom_target(check-valgrind-leaks
-  DEPENDS ubuntuoneauth-tests-valgrind-leaks music-login-tests-valgrind-leaks
+  DEPENDS ubuntuoneauth-tests-valgrind-leaks
 )

=== data/CMakeLists.txt ===
file (GLOB PROVIDER_FILES *.provider)
file (GLOB SERVICE_FILES *.service)
file (GLOB SERVICE_TYPE_FILES *.service-type)

install (FILES ${PROVIDER_FILES} DESTINATION share/accounts/providers/)
install (FILES ${SERVICE_FILES} DESTINATION share/accounts/services/)
install (FILES ${SERVICE_TYPE_FILES} DESTINATION share/accounts/service_types/)

=== online-accounts-provider/CMakeLists.txt ===
file (GLOB QML_PLUGIN_FILES *.qml)

# The path (including plug-in name) where the QML files are installed
set (QML_PLUGIN_INSTALL_DIR share/accounts/qml-plugins/ubuntuone/)

install (FILES ${QML_PLUGIN_FILES} DESTINATION ${QML_PLUGIN_INSTALL_DIR})

add_subdirectory(tests)

=== signon-plugin/CMakeLists.txt ===
# Qt5 bits
SET (CMAKE_INCLUDE_CURRENT_DIR ON)
SET (CMAKE_AUTOMOC ON)
find_package(Qt5Core REQUIRED)

# The sources for building the library
FILE (GLOB SOURCES *.cpp)
# HEADERS only includes the public headers for installation.
FILE (GLOB HEADERS *.h)

find_package (PkgConfig REQUIRED)
pkg_check_modules(SIGNON REQUIRED signon-plugins)
add_definitions(${SIGNON_CFLAGS} ${SIGNON_CFLAGS_OTHER})

# Workaround for cmake not adding these to automoc properly
SET (CMAKE_AUTOMOC_MOC_OPTIONS "${SIGNON_CFLAGS} ${CMAKE_AUTOMOC_MOC_OPTIONS}")

# Need the project version here
add_definitions("-DPROJECT_VERSION=\"${PROJECT_VERSION}\"")

add_library (${SIGNON_PLUGIN_NAME} MODULE ${SOURCES})
qt5_use_modules (${SIGNON_PLUGIN_NAME} Core Xml Network)
target_link_libraries (${SIGNON_PLUGIN_NAME}
  -Wl,-rpath,${CMAKE_BINARY_DIR}/libubuntuoneauth
  -L${CMAKE_BINARY_DIR}/libubuntuoneauth
  ${AUTH_LIB_NAME}
  ${SIGNON_PLUGIN_LDFLAGS}
)

SET (SIGNON_PLUGIN_INSTALL_DIR lib/signon)

INSTALL (
  TARGETS ${SIGNON_PLUGIN_NAME}
  LIBRARY DESTINATION ${SIGNON_PLUGIN_INSTALL_DIR}
)

#add_subdirectory(tests)

=== libubuntuoneauth/tests/CMakeLists.txt ===
# The thing we're building in here
SET (TESTS_TARGET test-ubuntuoneauth)

# Qt5 bits
SET (CMAKE_INCLUDE_CURRENT_DIR ON)
SET (CMAKE_AUTOMOC ON)
find_package(Qt5Core REQUIRED)

# The sources for building the tests
FILE (GLOB SOURCES *.cpp)

add_executable (${TESTS_TARGET} ${SOURCES})
qt5_use_modules (${TESTS_TARGET} Test DBus Network)
target_link_libraries (${TESTS_TARGET}
  -Wl,-rpath,${CMAKE_BINARY_DIR}/libubuntuoneauth
  -L${CMAKE_BINARY_DIR}/libubuntuoneauth
  ${AUTH_LIB_NAME})

add_custom_target(ubuntuoneauth-tests
    COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${TESTS_TARGET}
    DEPENDS ${TESTS_TARGET}
)

add_custom_target(ubuntuoneauth-tests-valgrind
    COMMAND valgrind --tool=memcheck ${CMAKE_CURRENT_BINARY_DIR}/${TESTS_TARGET}
    DEPENDS ${TESTS_TARGET}
)

add_custom_target(ubuntuoneauth-tests-valgrind-leaks
    COMMAND valgrind --tool=memcheck --track-origins=yes --num-callers=40 --leak-resolution=high --leak-check=full ${CMAKE_CURRENT_BINARY_DIR}/${TESTS_TARGET}
    DEPENDS ${TESTS_TARGET}
)

=== online-accounts-provider/tests/CMakeLists.txt ===
SET (TESTS_TARGET test-online-accounts-provider)

set (AUTOPILOT_PACKAGE ubuntuone_credentials)

add_custom_target(online-accounts-provider-autopilot-tests
    COMMAND autopilot run ${AUTOPILOT_PACKAGE}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/autopilot
    DEPENDS ${QML_PLUGIN_NAME}
)

add_custom_target(online-accounts-provider-autopilot-tests-local
    COMMAND SSO_AUTH_BASE_URL=fake SSO_UONE_BASE_URL=fake autopilot run ${AUTOPILOT_PACKAGE}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/autopilot
    DEPENDS ${QML_PLUGIN_NAME}
)

add_custom_target(online-accounts-provider-qmlunit-tests
    COMMAND qmltestrunner -input ${CMAKE_CURRENT_SOURCE_DIR}/unit
)

set (Python_ADDITIONAL_VERSIONS 2.7)
find_package (PythonInterp)

set (AUTOPILOT_DIR autopilot/ubuntuone_credentials)

execute_process (
  COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; print sysconfig.get_python_lib()"
  COMMAND sed -r -e "s|^/usr/(local/)?||g"
  OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

install (
  DIRECTORY ${AUTOPILOT_DIR}
  DESTINATION ${PYTHON_PACKAGE_DIR}
)

=== debian/changelog ===
ubuntuone-credentials (14.04+14.04.20140415) trusty; urgency=low

  [ Alejandro J. Cura ]
  * Do not create the session when the account is disabled (LP:
    #1307608)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Apr 2014 18:54:03 +0000

ubuntuone-credentials (14.04+14.04.20140306ubuntu2) trusty; urgency=medium

  * debian/control: alternatively depend on the OpenGLES version of
    qtdeclarative5-ubuntu-ui-toolkit-plugin

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Apr 2014 17:40:47 -0300

ubuntuone-credentials (14.04+14.04.20140306ubuntu1) trusty; urgency=medium

  * Make ubuntuone-credentials-common Architecture: all and Multi-Arch:
    foreign. This allows cross-building of ubuntuone-credentials' reverse
    dependencies.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 02 Apr 2014 11:52:43 +0100

ubuntuone-credentials (14.04+14.04.20140306) trusty; urgency=low

  [ Diego Sarmentero ]
  * adding files
  * ssolib files
  * adding license
  * SSO Lib working
  * new folder structure
  * updating .pro
  * Fixing some design issues.
  * Improve Error handling in the application as requested by design.
  * Support urls in the --picture argument, to handle download of the
    image from this application.
  * Fix UI flow requested by design for Returning Customers.

  [ Leo Arias ]
  * Cleaned the autopilot tests.
  * Refactor the fake servers to be a thread on the same process,
    started from a fixture on the test setup.
  * Added missing files from previous autopilot fixtures MP. .

  [ Ubuntu daily release ]
  * New rebuild forced

  [ CI bot ]
  * No change rebuild against Qt 5.2.1.

  [ Brian Curtin ]
  * Update the tests.pro file to work with changes to how the library is
    built.
  * Add more tests.

  [ Michael McCracken ]
  * Simplify header layout to avoid issues in packaging. (LP: #1190782).
    (LP: #1190782)
  * Improvements to available slots and signals on ssoservice object.
  * Fixes for registration
  * mark two methods of Token as const, and fix a leak from oauth
    library.
  * Add QML plugin that wraps login/register and signUrl functionality
    of libubuntuoneauth, and accompanying QML UI prototype
  * Add support for two-factor auth to the ssoservice and QML plugin
    (LP: #1197081). (LP: #1197081)
  * Add error signal for failure cases in Network class - covers
    connection failures.
  * Improve UI, better support embedding into external QML, and add
    embedding example code.
  * Fix credential deletion and expose it via QML plugin.
  * Validate input and show error messages for invalid email, short
    password, etc.
  * add cmake rule to generate qmltypes file for qtcreator integration.
  * Make background of embeddable component transparent, and use smaller
    font sizes to fit better on small screens.
  * Fix typo in signal connection for handleError.
  * set signon plugin name to 'ubuntuoneplugin' as required by the
    signond plugin loader.
  * Ensure initial value of _state variable is IDLE.
  * Add UOA provider plug-in to house login/register UI. Move that UI
    from credentials service plug-in.
  * Fix example code for QML plugin to no longer try to show the
    CredentialsUI that doesn't exist anymore, and improve its comments
    to better explain the remaining API.
  * Re-add a regexp validator to the email textfield.
  * Add minimal Qt/C++ example app and README describing how to use
    libubuntuoneauth to access creds and sign API requests.
  * Add cancel/continue buttons back.
  * Fix spacing and margins of login/register UI. Use default fontSizes
    pending design input.
  * Provide faster visual feedback of activity after clicking
    'continue'.
  * Fix flickable scrolling. Fix sizing of nested Columns in LoginForm
    and RegisterForm, and use correct anchors.
  * Improve integration with Online Accounts System settings module.
  * Fix registration errors caused by scrambling parameters due to
    undefined behavior in C++.
  * Fix key focus handling. .
  * Do not leave an empty UOA account in the DB if the user clicks
    cancel.
  * Properly handle switching to the register screen after logging in
    partially with a 2fa account.
  * Add GUI-level autopilot functional test suite to online-accounts-
    provider.
  * Delete incomplete account when user uses back button to cancel
    account creation. (LP: #1234285). (LP: #1234285)
  * Provide general user-friendly error message for network errors. (LP:
    #1233951). (LP: #1233951)
  * Use email-specific keyboard layout and avoid storing passwords in
    predictive input dictionary (LP: #1235282). (LP: #1235282)
  * Hide keyboard when user submits form, making error message visible.
    (LP: #1231580). (LP: #1231580)
  * Give the two-factor text field focus when shown.
  * Fix behavior of back button on existing account detail page (LP:
    #1237006). (LP: #1237006)
  * Add initial suite of QML unit tests for online-accounts-provider.
  * Improve logged warnings about token creation errors and JSON parsing
    (LP: #1241250, LP: #1241259). (LP: #1241250, #1241259)
  * Add local mock test server and make autopilot tests hit the server.
  * Improve form validation for account registration. Warn about T&C
    checkbox only after all other fields are filled in.
  * Add autopilot tests of registering new u1 account.
  * Cleanup an apparent pythonism - avoid use of 'this->' to refer to an
    unshadowed member variable or function.
  * Remove more superfluous uses of this.

  [ Alberto Mardegan ]
  * Declare that no more than one U1 account should be created

  [ Rodney Dawes ]
  * Remove the app directory and files as we don't need them. Remove the
    generated Makefile as we shouldn't store it in VCS. Remove the
    useless main.cpp. Add COPYING and COPYING.LESSER for LGPL v3. Rename
    lib/core to lib/main to prevent make clean failure.
  * Update the license headers in source files to be correct LGPL.


=== debian/control ===
Source: ubuntuone-credentials
Section: libs
Priority: optional
Build-Depends:
 cmake,
 debhelper (>= 9),
 libaccounts-qt5-dev,
 liboauth-dev,
 libsignon-qt5-dev,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtdeclarative5-ubuntu-ui-toolkit-plugin,
 python (>= 2.7),
 signon-plugins-dev,
 ubuntu-ui-toolkit-autopilot,
 xvfb,
Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
Standards-Version: 3.9.5
Vcs-Bzr: lp:ubuntuone-credentials
Xs-Testsuite: autopkgtest

Package: ubuntuone-credentials-common
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 ubuntuone-client-data (>= 4.2.0),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library - common data
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes common data files for the Ubuntu One authentication
 library and utilities.

Package: ubuntuone-credentials-autopilot
Architecture: all
Depends:
 libautopilot-qt (>= 1.4),
 python-autopilot,
 python-fixtures,
 python-testtools,
 qtdeclarative5-online-accounts-client0.1,
 qtdeclarative5-qtquick2-plugin,
 qtdeclarative5-test-plugin,
 qtdeclarative5-ubuntu-ui-toolkit-plugin | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles,
 qtdeclarative5-ubuntuone1.0,
 ubuntu-ui-toolkit-autopilot,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library - autopilot tests
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the autopilot tests.

Package: libubuntuoneauth-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 signon-plugin-password,
 ubuntuone-credentials-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the main library.

Package: libubuntuoneauth-2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 libaccounts-qt5-dev,
 liboauth-dev,
 libsignon-qt5-dev,
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qtbase5-dev,
 ${misc:Depends},
Description: Ubuntu One authentication library - development files
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the development files for the Ubuntu One authentication
 library.

Package: qtdeclarative5-ubuntuone1.0
Architecture: any
Multi-Arch: same
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qtdeclarative5-ubuntu-ui-toolkit-plugin,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 qtdeclarative5-ubuntuone-credentials-plugin,
Replaces:
 qtdeclarative5-ubuntuone-credentials-plugin,
Description: Ubuntu One authentication library - Qt declarative plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes a Qt declarative plug-in for using the library.

Package: signon-plugin-ubuntuone
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library - signon plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes an authentication plug-in for the signon daemon.

Package: account-plugin-ubuntuone
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qtdeclarative5-ubuntuone1.0 (= ${binary:Version}),
 ubuntu-system-settings-online-accounts,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library - account settings plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the accounts plug-in for Ubuntu System Settings.

=== debian/tests/control ===
Tests: run-tests
Restrictions: rw-build-tree build-needed allow-stderr
Depends: @,
 cmake,
 liboauth-dev,
 libsecret-1-dev,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtdeclarative5-ubuntu-ui-toolkit-plugin,
 xvfb

## ubuntuone-credentials 14.04+14.10.20140910

=== debian/changelog ===
ubuntuone-credentials (14.04+14.10.20140910) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Rodney Dawes ]
  * Add new ctor for Token to accept created/updated date strings. Use
    the new ctor when creating the token from the REST response. Turn
    the date string returned from the server into an ISO string for
    parsing. Add more tests. (LP: #1366998)

  [ Sebastien Bacher ]
  * Set wrapmode to avoid having a label cut (LP: #1366294)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Sep 2014 13:18:31 +0000

ubuntuone-credentials (14.04+14.10.20140903) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ John R. Lenton ]
  * Make the 2fa entry more usable. (LP: #1364935)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Sep 2014 21:29:13 +0000

ubuntuone-credentials (14.04+14.10.20140821) utopic; urgency=low

  [ Rodney Dawes ]
  * Don't set the width/height of the flickable. (LP: #1350543)
  * Enable langpacks for ubuntuone-credentials.
  * Store and parse the created and updated times on the token.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 21 Aug 2014 02:19:04 +0000

ubuntuone-credentials (14.04+14.10.20140815) utopic; urgency=low

  [ Rodney Dawes ]
  * Install the translations in the correct place. Package the installed
    translations.
  * Don't call sync so much. Don't call resetUI on success or cancel, to
    avoid popping the keyboard. Set the displayName of the account
    internally. Do not set the display name, or enable or sync the
    account, in the qml. (LP: #1239616)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 15 Aug 2014 16:44:30 +0000

ubuntuone-credentials (14.04+14.10.20140802) utopic; urgency=low

  [ Rodney Dawes ]
  * Warn and return if the URL is empty, before signing. (LP: #1270283)
  * Let Qt choose to abort() or exit(1) for fatal messages. (LP:
    #1351345)
  * Enable translation of the strings in the plug-in. (LP: #1201460)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 02 Aug 2014 02:08:58 +0000

ubuntuone-credentials (14.04+14.10.20140729) utopic; urgency=low

  [ Rodney Dawes ]
  * Fixes to enable cross-compiling. (LP: #1347885)
  * Update layout for new designs. Wrap some strings in QML in i18n.tr
    to later enable translations. Add build dependency on
    qtdeclarative5-dev-tools.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 29 Jul 2014 21:39:17 +0000

ubuntuone-credentials (14.04+14.10.20140710) utopic; urgency=low

  [ Leo Arias ]
  * Ported the autopilot tests to python3. Refactored and updated the
    tests to use new helpers and to be more consistent with the rest of
    packages.

  [ Rodney Dawes ]
  * Don't hit the ping URL on one.ubuntu.com any longer.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Jul 2014 20:21:22 +0000

ubuntuone-credentials (14.04+14.10.20140513ubuntu1) utopic; urgency=medium

  * Depend on qtbase5-dev | qtbase5-gles-dev, for compatibility with the
    touch stack.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Jun 2014 15:42:22 -0700

ubuntuone-credentials (14.04+14.10.20140513) utopic; urgency=low

  [ Martin Pitt ]
  * Fix FTBFS (#1318947). Clean up unnecessarily noisy
    debian/tests/control (LP: #1318947)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 May 2014 09:15:46 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,20 @@
  libaccounts-qt5-dev,
  liboauth-dev,
  libsignon-qt5-dev,
+ pkg-config,
  qtbase5-dev,
  qtdeclarative5-dev,
+ qtdeclarative5-dev-tools,
  qtdeclarative5-ubuntu-ui-toolkit-plugin,
- python (>= 2.7),
+ python3-all:native,
  signon-plugins-dev,
- ubuntu-ui-toolkit-autopilot,
+ ubuntu-ui-toolkit-autopilot:native,
  xvfb,
 Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
 Standards-Version: 3.9.5
 Vcs-Bzr: lp:ubuntuone-credentials
 Xs-Testsuite: autopkgtest
+X-Ubuntu-Use-Langpack: yes
 
 Package: ubuntuone-credentials-common
 Architecture: all
@@ -41,9 +44,9 @@
 Architecture: all
 Depends:
  libautopilot-qt (>= 1.4),
- python-autopilot,
- python-fixtures,
- python-testtools,
+ python3-autopilot,
+ python3-fixtures,
+ python3-testtools,
  qtdeclarative5-online-accounts-client0.1,
  qtdeclarative5-qtquick2-plugin,
  qtdeclarative5-test-plugin,
@@ -90,7 +93,7 @@
  liboauth-dev,
  libsignon-qt5-dev,
  libubuntuoneauth-2.0-0 (= ${binary:Version}),
- qtbase5-dev,
+ qtbase5-dev | qtbase5-gles-dev,
  ${misc:Depends},
 Description: Ubuntu One authentication library - development files
  A library for native applications to log into the Ubuntu One services,

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,3 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
-
-override_dh_auto_test:
-	if [ "x${DEB_HOST_ARCH}" = "xarmhf" -o "x$(DEB_HOST_ARCH)" = "armel" ]; then \
-		dh_auto_build -- ubuntuoneauth-tests; \
-	else \
-		dh_auto_build -- check; \
-	fi

## ubuntuone-credentials 14.04+15.04.20150401

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # This is the name and release version of the project
 PROJECT (ubuntuone-credentials)
 SET (PROJECT_VERSION 14.04)
+
+include(GNUInstallDirs)
 
 # Some variables for the library builds
 SET (AUTH_LIB_VERSION 0.1.0)
@@ -50,6 +52,7 @@
 add_subdirectory(signon-plugin)
 add_subdirectory(qml-credentials-service)
 add_subdirectory(online-accounts-provider)
+add_subdirectory(po)
 
 # We need to add these here which simply depend on other test rules, as
 # CMake doesn't allow defining a "check" rule in multiple places.

=== debian/changelog ===
ubuntuone-credentials (14.04+15.04.20150401) vivid; urgency=medium

  [ Alberto Mardegan ]
  * Upgrades the ACL of U1 accounts registered in the Online Accounts
    database. Add dependencies on sqlite3 and account-plugin-tools for
    migration script. (LP: #1376445)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 01 Apr 2015 17:53:57 +0000

ubuntuone-credentials (14.04+15.04.20150310) vivid; urgency=medium

  [ Rodney Dawes ]
  * Update autopilot dependencies for the autopilot tests package. (LP:
    #1429158)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 10 Mar 2015 19:00:56 +0000

ubuntuone-credentials (14.04+15.04.20150120) vivid; urgency=low

  [ Rodney Dawes ]
  * Set the default ACL as ["unconfined"] for the account. (LP:
    #1376445)
  * Handle keyringError from the keyring, by deleting token. (LP:
    #1282392)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 20 Jan 2015 18:09:09 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends:
  cmake,
  debhelper (>= 9),
+ dh-migrations,
  libaccounts-qt5-dev,
  liboauth-dev,
  libsignon-qt5-dev,
@@ -43,7 +44,7 @@
 Package: ubuntuone-credentials-autopilot
 Architecture: all
 Depends:
- libautopilot-qt (>= 1.4),
+ autopilot-qt5 (>= 1.4+14.10.20140820) | libautopilot-qt (>= 1.4),
  python3-autopilot,
  python3-fixtures,
  python3-testtools,
@@ -52,6 +53,7 @@
  qtdeclarative5-test-plugin,
  qtdeclarative5-ubuntu-ui-toolkit-plugin | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles,
  qtdeclarative5-ubuntuone1.0,
+ qttestability-autopilot | libautopilot-qt,
  ubuntu-ui-toolkit-autopilot,
  ${misc:Depends},
  ${python:Depends},
@@ -70,7 +72,9 @@
  multiarch-support,
  ${misc:Pre-Depends},
 Depends:
+ account-plugin-tools,
  signon-plugin-password,
+ sqlite3,
  ubuntuone-credentials-common (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},

## ubuntuone-credentials 15.10+15.10.20150713ubuntu1~gcc5.1

=== debian/changelog ===
ubuntuone-credentials (15.10+15.10.20150713ubuntu1~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 16:22:56 +0000

ubuntuone-credentials (15.10+15.10.20150713) wily; urgency=medium

  [ Albert Astals Cid ]
  * Wrap the main header and error labels. (LP: #1368797, #1453830)

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 13 Jul 2015 19:59:31 +0000

ubuntuone-credentials (15.10+15.10.20150617) wily; urgency=medium

  [ Pawel Stolowski ]
  * Added Token::consumerKey() getter.

  [ CI Train Bot ]
  * debian/libubuntuoneauth-2.0-0.symbols: update to released version.
  * New rebuild forced.
  * Resync trunk.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 17 Jun 2015 16:58:41 +0000

ubuntuone-credentials (14.04+15.10.20150506) wily; urgency=medium

  [ Leo Arias ]
  * On autopilot helpers, dismiss the on-screen keyboard when filling
    the new account form. Workaround for bug #1442733. (LP: #1442733)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 06 May 2015 20:53:15 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
  signon-plugins-dev,
  ubuntu-ui-toolkit-autopilot:native,
  xvfb,
-Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
 Standards-Version: 3.9.5
 Vcs-Bzr: lp:ubuntuone-credentials
 Xs-Testsuite: autopkgtest
@@ -54,6 +55,7 @@
  qtdeclarative5-ubuntu-ui-toolkit-plugin | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles,
  qtdeclarative5-ubuntuone1.0,
  qttestability-autopilot | libautopilot-qt,
+ ubuntu-keyboard-autopilot,
  ubuntu-ui-toolkit-autopilot,
  ${misc:Depends},
  ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 %:
-	dh $@ --buildsystem cmake --fail-missing
+	dh $@ --buildsystem cmake --fail-missing --with migrations
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

## ubuntuone-credentials 15.11%2B16.04.20160323

=== signon-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 # HEADERS only includes the public headers for installation.
 FILE (GLOB HEADERS *.h)
 
-find_package (PkgConfig REQUIRED)
 pkg_check_modules(SIGNON REQUIRED signon-plugins)
 add_definitions(${SIGNON_CFLAGS} ${SIGNON_CFLAGS_OTHER})
